Skip to content
Select themeSelect language

get_api_memories_id_versions

GET
/api/memories/{id}/versions
curl --request GET \
--url https://example.com/api/memories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions
id
required
string format: uuid

Memory record ID

Version history for a memory record

Media typeapplication/json
Array<object>
object
action
required
string
actor_user_id
string | null format: uuid
archived_at
string | null format: date-time
created_at
required
string format: date-time
id
required
string format: uuid
importance
required
number format: double
memory_id
required
string format: uuid
memory_kind
required
string
metadata
required
pinned
required
boolean
project_id
string | null format: uuid
salience
required
number format: double
scope
required
string
source_id
string | null format: uuid
source_type
required
string
superseded_by
string | null format: uuid
text
required
string
version
required
integer format: int32
workspace_id
required
string format: uuid
Examplegenerated
[
{
"action": "example",
"actor_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"archived_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"importance": 1,
"memory_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"memory_kind": "example",
"metadata": "example",
"pinned": true,
"project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"salience": 1,
"scope": "example",
"source_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"source_type": "example",
"superseded_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"text": "example",
"version": 1,
"workspace_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
]

Structured client error

Media typeapplication/json

The canonical JSON body of every error response — the single source of truth the frontend binds to. Every AppError serializes as this exact shape, and the generated OpenAPI component ApiErrorBody (with its ErrorCode enum) is what the frontend error schema is generated from, so there is no hand-written error schema on either end.

object
code
required

Machine-readable, stable error code.

string
Allowed values: not_found unauthorized forbidden bad_request unprocessable precondition_failed conflict method_not_allowed rate_limited quota_exceeded database_error docker_error vault_error internal_error
details
One of:
null
error
required

Human-readable message (the server’s English text; the client may localize by code).

string
Example
{
"code": "not_found"
}

Authentication required

Media typeapplication/json

The canonical JSON body of every error response — the single source of truth the frontend binds to. Every AppError serializes as this exact shape, and the generated OpenAPI component ApiErrorBody (with its ErrorCode enum) is what the frontend error schema is generated from, so there is no hand-written error schema on either end.

object
code
required

Machine-readable, stable error code.

string
Allowed values: not_found unauthorized forbidden bad_request unprocessable precondition_failed conflict method_not_allowed rate_limited quota_exceeded database_error docker_error vault_error internal_error
details
One of:
null
error
required

Human-readable message (the server’s English text; the client may localize by code).

string
Example
{
"code": "not_found"
}

Permission denied

Media typeapplication/json

The canonical JSON body of every error response — the single source of truth the frontend binds to. Every AppError serializes as this exact shape, and the generated OpenAPI component ApiErrorBody (with its ErrorCode enum) is what the frontend error schema is generated from, so there is no hand-written error schema on either end.

object
code
required

Machine-readable, stable error code.

string
Allowed values: not_found unauthorized forbidden bad_request unprocessable precondition_failed conflict method_not_allowed rate_limited quota_exceeded database_error docker_error vault_error internal_error
details
One of:
null
error
required

Human-readable message (the server’s English text; the client may localize by code).

string
Example
{
"code": "not_found"
}

Structured server error

Media typeapplication/json

The canonical JSON body of every error response — the single source of truth the frontend binds to. Every AppError serializes as this exact shape, and the generated OpenAPI component ApiErrorBody (with its ErrorCode enum) is what the frontend error schema is generated from, so there is no hand-written error schema on either end.

object
code
required

Machine-readable, stable error code.

string
Allowed values: not_found unauthorized forbidden bad_request unprocessable precondition_failed conflict method_not_allowed rate_limited quota_exceeded database_error docker_error vault_error internal_error
details
One of:
null
error
required

Human-readable message (the server’s English text; the client may localize by code).

string
Example
{
"code": "not_found"
}